{% extends 'base.html' %}
{% load static %}

{% block css %}
    <link rel='stylesheet' href="{% static 'watchlist/css/style.css' %}">
{% endblock css %}

{% block content %}
    <div class="watchlist-main">
        <h1 id="header">Watchlist</h1>
        <div class="watchlist-content">
            
            {% for watchlist_film in watchlist_films %}

                <!-- Delete Confirmation Message Modal -->
                <div class="modal fade" id="delete_modal_{{ watchlist_film.pk }}" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title" id="exampleModalLabel">Konfirmasi</h5>
                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                            </div>
                            <div class="modal-body">
                            <p>Apakah anda yakin ingin menghapus {{ watchlist_film.film.judul_film }} dari watchlist?</p>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Batalkan</button>
                                <form action="{% url 'watchlist:delete_watchlist_film' watchlist_film.pk %}" method="post">
                                    {% csrf_token %}
                                    <button type="submit" class="btn btn-primary">Hapus</button>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>

                <!-- Ubah Status Modal -->
                <div class="modal fade" id="status_modal_{{ watchlist_film.pk }}" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title" id="exampleModalLabel">Ubah Status</h5>
                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                            </div>
                            <form action="{% url 'watchlist:update_status_menonton' watchlist_film.pk %}" method="post">
                                {% csrf_token %}
                                <div class="modal-body">
                                    <div class="input-group mb-3">
                                        <div class="input-group-prepend">
                                            <label class="input-group-text" for="inputGroupSelect01">Status:</label>
                                        </div>
                                        <select class="custom-select" id="inputGroupSelect01" name="status_menonton">
                                            <option selected disabled>Pilih...</option>
                                            <option value="Belum">Belum Selesai</option>
                                            <option value="Sudah">Sudah Selesai</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Batalkan</button>
                                    <button type="submit" class="btn btn-primary">Ubah</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>

                <div class="watchlist-card">
                    <div class="watchlist-card-left">
                        <img class="watchlist-thumbnail" src="{{ watchlist_film.film.poster }}">
                    </div>
                    <div class="watchlist-card-right">
                        <div class="watchlist-card-right-top">
                            <p id="title">{{ watchlist_film.film.judul_film }}</p>
                            {% if watchlist_film.status_menonton %}
                                <p id="status-menonton">Sudah Selesai</p>
                            {% else %}
                                <p id="status-menonton">Belum Selesai</p>
                            {% endif %}
                        </div>
                        <div class="watchlist-card-right-bottom">
                            <div class="watchlist-card-episode">
                                <p id="episode-tertonton">Episode tertonton:</p>
                                <div class="watchlist-card-episode-bottom">
                                    <p id="episode-count">{{ watchlist_film.jml_episode_tertonton }}/{{ watchlist_film.film.jumlah_episode }}</p>
                                    <div class="watchlist-card-episode-buttons">
                                        {% if watchlist_film.jml_episode_tertonton != watchlist_film.film.jumlah_episode %}
                                            <form action="{% url 'watchlist:tambah_episode_tertonton' watchlist_film.pk %}" method="post">
                                                {% csrf_token %}
                                                <button type="submit" class="button button-green button-small">+</button>
                                            </form>
                                        {% endif %}
                                        {% if watchlist_film.jml_episode_tertonton != 0 %}
                                            <form action="{% url 'watchlist:kurang_episode_tertonton' watchlist_film.pk %}" method="post">
                                                {% csrf_token %}
                                                <button type="submit" class="button button-red button-small">-</button>
                                            </form>
                                        {% endif %}
                                    </div>
                                </div>
                            </div>
                            <div class="watchlist-card-buttons">
                                <button class="button button-green" data-bs-toggle="modal" data-bs-target="#status_modal_{{ watchlist_film.pk }}">Ubah Status</button>
                                <form action="{% url 'ulasan:formulasan' watchlist_film.film.pk %}" method="post">
                                    {% csrf_token %}
                                    <button type="submit" class="button button-green" href="">Berikan Ulasan</button>
                                </form>
                                <button class="button button-red" data-bs-toggle="modal" data-bs-target="#delete_modal_{{ watchlist_film.pk }}">Hapus</button>
                            </div>
                        </div>
                    </div>
                </div>
            {% endfor %}
           
        </div>
    </div>
{% endblock content %}
    